# ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p834914788/v79075/hp-be2net-4.2.389.0-2.src.rpm
# elx_dd_nic_ibm1209-4.4.180.0_rhel6_32-64.tgz

# Define the kmod package name here.
%define kmod_name be2net

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-358.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 4.4.180.0
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.hp.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  elx_dd_nic_ibm1209-%{version}_rhel6_32-64.tgz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Patches.
Patch0:   ELRepo-%{kmod_name}-%{version}.patch

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -n %{kmod_name}
%{__rm} -rf apps disks install.sh ko_version.txt rhel6 tools
rpm2cpio SRPM/%{kmod_name}-%{version}-1.src.rpm | cpio -i
%{__rm} -rf SRPM benet.kmp.spec
tar -zxf %{kmod_name}-%{version}.tar.gz
%{__rm} -f %{kmod_name}-%{version}.tar.gz
%patch0 -p1 -F 3
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
pushd %{kmod_name}-%{version} >/dev/null
%{__make} KSRC=%{_usrsrc}/kernels/%{kversion} KDIR=%{_usrsrc}/kernels/%{kversion} CONFIG_BE2NET=m 
popd >/dev/null

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} %{kmod_name}-%{version}/%{kmod_name}.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}-%{version}/README %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sun Mar 03 2013 Alan Bartlett <ajb@elrepo.org> - 4.4.180.0-1
- Updated to version 4.4.180.0

* Sat Feb 16 2013 Alan Bartlett <ajb@elrepo.org> - 4.2.389.0-1
- Updated to version 4.2.389.0

* Thu Aug 16 2012 Alan Bartlett <ajb@elrepo.org> - 4.1.450.7-1
- Updated to version 4.1.450.7

* Mon Jun 04 2012 Alan Bartlett <ajb@elrepo.org> - 4.1.402.6-1
- Updated to version 4.1.402.6

* Fri Apr 27 2012 Alan Bartlett <ajb@elrepo.org> - 4.0.479.0-1
- Updated to version 4.0.479.0

* Tue Jan 31 2012 Alan Bartlett <ajb@elrepo.org> - 4.0.359.0-1
- Initial el6 build of the kmod package.
